"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiskManager = exports.DISK_MANAGER_DEFAULT_OPTIONS = void 0;
const fs_1 = __importDefault(require("fs"));
const os_1 = __importDefault(require("os"));
const path_1 = __importDefault(require("path"));
exports.DISK_MANAGER_DEFAULT_OPTIONS = {
    directory: os_1.default.tmpdir()
};
class DiskManager {
    constructor(options = {}) {
        this.options = Object.assign(Object.assign({}, exports.DISK_MANAGER_DEFAULT_OPTIONS), options);
    }
    handleFile(file) {
        return __awaiter(this, void 0, void 0, function* () {
            yield fs_1.default.promises.mkdir(this.options.directory, {
                recursive: true
            });
            const destination = path_1.default.join(this.options.directory, file.id);
            return fs_1.default.createWriteStream(destination);
        });
    }
    removeFile(file) {
        return __awaiter(this, void 0, void 0, function* () {
            const destination = path_1.default.join(this.options.directory, file.id);
            try {
                yield fs_1.default.promises.unlink(destination);
            }
            catch (error) {
                if (error.code !== "ENOENT") {
                    throw error;
                }
            }
        });
    }
}
exports.DiskManager = DiskManager;
