export declare enum TransmitErrorCodes {
    FIELD_NAME_TOO_LARGE = "Field name too large.",
    FIELD_VALUE_TOO_LARGE = "Field value too large",
    FILE_TOO_LARGE = "File too large.",
    FILE_TOO_SMALL = "File too small.",
    NOT_ENOUGH_FIELDS = "Not enough fields.",
    NOT_ENOUGH_FILES = "Not enough files.",
    TOO_MANY_FIELDS = "Too many fields.",
    TOO_MANY_FILES = "Too many files.",
    TOO_MANY_PARTS = "Too many parts.",
    UNSUPPORTED_CONTENT_TYPE = "Unsupported content type."
}
export declare class TransmitException extends Error {
    readonly code: keyof typeof TransmitErrorCodes;
    readonly isTransmitError = true;
    constructor(code: keyof typeof TransmitErrorCodes);
}
export declare class FieldNameTooLargeException extends TransmitException {
    constructor();
}
export declare class FieldValueTooLargeException extends TransmitException {
    constructor();
}
export declare class FileTooLargeException extends TransmitException {
    constructor();
}
export declare class FileTooSmallException extends TransmitException {
    constructor();
}
export declare class NotEnoughFieldsException extends TransmitException {
    constructor();
}
export declare class NotEnoughFilesException extends TransmitException {
    constructor();
}
export declare class TooManyFieldsException extends TransmitException {
    constructor();
}
export declare class TooManyFilesException extends TransmitException {
    constructor();
}
export declare class TooManyPartsException extends TransmitException {
    constructor();
}
export declare class UnsupportedContentTypeException extends TransmitException {
    constructor();
}
