"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsupportedContentTypeException = exports.TooManyPartsException = exports.TooManyFilesException = exports.TooManyFieldsException = exports.NotEnoughFilesException = exports.NotEnoughFieldsException = exports.FileTooSmallException = exports.FileTooLargeException = exports.FieldValueTooLargeException = exports.FieldNameTooLargeException = exports.TransmitException = exports.TransmitErrorCodes = void 0;
var TransmitErrorCodes;
(function (TransmitErrorCodes) {
    TransmitErrorCodes["FIELD_NAME_TOO_LARGE"] = "Field name too large.";
    TransmitErrorCodes["FIELD_VALUE_TOO_LARGE"] = "Field value too large";
    TransmitErrorCodes["FILE_TOO_LARGE"] = "File too large.";
    TransmitErrorCodes["FILE_TOO_SMALL"] = "File too small.";
    TransmitErrorCodes["NOT_ENOUGH_FIELDS"] = "Not enough fields.";
    TransmitErrorCodes["NOT_ENOUGH_FILES"] = "Not enough files.";
    TransmitErrorCodes["TOO_MANY_FIELDS"] = "Too many fields.";
    TransmitErrorCodes["TOO_MANY_FILES"] = "Too many files.";
    TransmitErrorCodes["TOO_MANY_PARTS"] = "Too many parts.";
    TransmitErrorCodes["UNSUPPORTED_CONTENT_TYPE"] = "Unsupported content type.";
})(TransmitErrorCodes = exports.TransmitErrorCodes || (exports.TransmitErrorCodes = {}));
class TransmitException extends Error {
    constructor(code) {
        super(TransmitErrorCodes[code]);
        this.code = code;
        this.isTransmitError = true;
    }
}
exports.TransmitException = TransmitException;
class FieldNameTooLargeException extends TransmitException {
    constructor() {
        super("FIELD_NAME_TOO_LARGE");
    }
}
exports.FieldNameTooLargeException = FieldNameTooLargeException;
class FieldValueTooLargeException extends TransmitException {
    constructor() {
        super("FIELD_VALUE_TOO_LARGE");
    }
}
exports.FieldValueTooLargeException = FieldValueTooLargeException;
class FileTooLargeException extends TransmitException {
    constructor() {
        super("FILE_TOO_LARGE");
    }
}
exports.FileTooLargeException = FileTooLargeException;
class FileTooSmallException extends TransmitException {
    constructor() {
        super("FILE_TOO_SMALL");
    }
}
exports.FileTooSmallException = FileTooSmallException;
class NotEnoughFieldsException extends TransmitException {
    constructor() {
        super("NOT_ENOUGH_FIELDS");
    }
}
exports.NotEnoughFieldsException = NotEnoughFieldsException;
class NotEnoughFilesException extends TransmitException {
    constructor() {
        super("NOT_ENOUGH_FILES");
    }
}
exports.NotEnoughFilesException = NotEnoughFilesException;
class TooManyFieldsException extends TransmitException {
    constructor() {
        super("TOO_MANY_FIELDS");
    }
}
exports.TooManyFieldsException = TooManyFieldsException;
class TooManyFilesException extends TransmitException {
    constructor() {
        super("TOO_MANY_FILES");
    }
}
exports.TooManyFilesException = TooManyFilesException;
class TooManyPartsException extends TransmitException {
    constructor() {
        super("TOO_MANY_PARTS");
    }
}
exports.TooManyPartsException = TooManyPartsException;
class UnsupportedContentTypeException extends TransmitException {
    constructor() {
        super("UNSUPPORTED_CONTENT_TYPE");
    }
}
exports.UnsupportedContentTypeException = UnsupportedContentTypeException;
