"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Counter = void 0;
const events_1 = require("events");
/** @internal */
class Counter extends events_1.EventEmitter {
    constructor(_value = 0) {
        super();
        this._value = _value;
    }
    get value() {
        return this._value;
    }
    decrement(amount = 1) {
        this._value -= amount;
        this.emit(String(this._value));
        return this;
    }
    increment(amount = 1) {
        this._value += amount;
        this.emit(String(this._value));
        return this;
    }
    is(n) {
        return this._value === n;
    }
    onceItEqualsTo(n, cb) {
        if (this._value === n) {
            cb();
        }
        else {
            this.once(String(n), cb);
        }
    }
    set(value) {
        this._value = value;
        this.emit(String(this._value));
        return this;
    }
    whenItEqualsTo(n, cb) {
        if (this._value === n) {
            cb();
        }
        this.on(String(n), cb);
    }
}
exports.Counter = Counter;
