"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HashCalculator = void 0;
const crypto_1 = require("crypto");
const stream_1 = require("stream");
/** @internal */
class HashCalculator extends stream_1.PassThrough {
    constructor(algorithm) {
        super();
        this._digest = null;
        this._hash = crypto_1.createHash(algorithm);
    }
    get digest() {
        if (this._digest)
            return this._digest;
        this._digest = this._hash.digest("hex");
        return this._digest;
    }
    _transform(chunk, _encoding, callback) {
        this._hash.update(chunk);
        callback(null, chunk);
    }
}
exports.HashCalculator = HashCalculator;
